<sqtm-core-customisable-dialog
  [sqtmCoreWorkspace]="'campaign-workspace'"
  [localTheme]="true"
  [titleKey]="configuration.titleKey"
  [dialogId]="'campaign-tree-picker-dialog'"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    @switch (configuration.requiredRowType) {
      @case ('iteration') {
        <sqtm-core-iteration-picker
          [initialSelectedNodes]="configuration.selectedNodes"
          [enableMultiRowSelection]="configuration.enabledMultiSelection"
          (selectedRows)="changeTreeSelection($event)"
        >
        </sqtm-core-iteration-picker>
      }
      @case ('CAMPAIGN') {
        <sqtm-core-restricted-campaign-picker
          [initialSelectedNodes]="configuration.selectedNodes"
          [enableMultiRowSelection]="configuration.enabledMultiSelection"
          (selectedRows)="changeTreeSelection($event)"
        >
        </sqtm-core-restricted-campaign-picker>
      }
      @default {
        <sqtm-core-campaign-picker
          [initialSelectedNodes]="configuration.selectedNodes"
          [enableMultiRowSelection]="configuration.enabledMultiSelection"
          (selectedRows)="changeTreeSelection($event)"
        >
        </sqtm-core-campaign-picker>
      }
    }
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
